{% extends 'base.html' %}
{% load static %}
{% load dictTag %}
{% block title %} List Archives {% endblock %}
{% block content %}

    <div class="row row-cols-1 row-cols-md-6">
        {% for archive in all_archives %}
            <div class="card">
                <img src="{% static 'favicon.ico' %}" class="img-fluid" alt="...">
                <div class="card-body">
                <h5 class="card-title">{{ archive.archive_name }}</h5>
                <p class="card-text">
                    {% if archive.description %}
                        {{ archive.description }}
                    {% else %}
                        <p>This archive does not have a description</p>
                    {% endif %}
                <p>Archive contains: </p>
                <p>{{ counter_folders|get_item:archive.id}} <i class="bi bi-archive text-red"></i> Templates</p>
                <p>{{ counter_subfolders|get_item:archive.id}} <i class="bi bi-folder text-red"></i> Folders</p>
                <p>{{ counter_files|get_item:archive.id}} <i class="bi bi-files"></i> Files</p>
                <a href="{% url 'list-selected-archive' archive.id %}" class="btn btn-primary btn-sm" >View Archive</a>
                <a href="{% url 'delete-archive' archive.id %}" class="btn btn-primary btn-sm">Delete Archive</a>
            </div>
        </div>

        {% endfor %}
    </div>

  <!-- Modal create collection -->

    <div class="modal fade" id="createCollection" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form method="post" action="{% url 'create-collection' %}">
                        {% csrf_token %}
                        {{ create_form.as_p }}
                        <button type="submit" class="btn btn-primary">Add Collection</button>
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                    </form>
                </div>
                <div class="modal-footer">

                    <button type="submit" form="cc" class="btn btn-primary">Add Collection</button>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal Delete Collection -->
    <div class="modal fade" id="deleteCollection" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="delete_archive_title">Modal title</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body" id="delete_body">

                    <form method="post">
                        {% csrf_token %}
                        <button type="submit" form="cc" class="btn btn-danger">Delete</button>
                    </form>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal Update Collection  -->
     <div class="modal fade" id="updateCollection" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="update_archive_title">Modal title</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body" id="update_body">

                    <form method="post">
                        {% csrf_token %}
                        <button type="submit" class="btn btn-danger">Update</button>
                    </form>
                </div>
            </div>
        </div>
    </div>




{% endblock %}